// 登录接口
import {
	axios
} from '../utils/http.js'



const UserTask = {
	TaskList: '/UserTask/List',//报告任务列表
	ExtData: '/UserTaskData/List',//提取数据
	Dowload: '/TaskData/Export_Data_PDF',//下载
	devClassListlist:'/DeviceClassList/List',
	download_t_pdf:'/TaskData/Temperature_Pdf',//下载温度
	download_h_pdf:'/TaskData/Humidity_Pdf',//下载湿度

}

export function devClassListlist(data) {
	return axios({
		url: UserTask.devClassListlist,
		method: 'post',
		data:data
	})
}
//下载
export function Dowloads(data) {
	return axios({
		url: UserTask.Dowload,
		method: 'post',
		data:data
	})
}

/**
 * 
 * @returns 下载温度
 */
export function download_t_pdfs(data){
    return axios({
		url: UserTask.download_t_pdf,
		method: 'post',
		data:data,
        responseType:'blob'
	})
}
/**
 * 
 * @returns 下载湿度
 */
export function download_h_pdfs(data){
    return axios({
		url: UserTask.download_h_pdf,
		method: 'post',
		data:data,
        responseType:'blob'
	})
}
//报告任务列表
export function ExtData(data) {
	return axios({
		url: UserTask.ExtData,
		method: 'post',
		data:data
	})
}
//报告任务列表
export function TaskList(data) {
	return axios({
		url: UserTask.TaskList,
		method: 'post',
		data:data
	})
}